package com.jjt.wkEmp.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import com.jjt.wkEmp.mapper.TwinWkEmpSyncMapper;
import com.jjt.wkEmp.domain.TwinWkEmpSync;
import com.jjt.wkEmp.service.ITwinWkEmpSyncService;
import javax.annotation.Resource;

/**
 * 经编车间排班同步记录Service业务层处理
 *
 * @author wukai
 * @date 2025-04-28
 */
@Service
public class TwinWkEmpSyncServiceImpl implements ITwinWkEmpSyncService {
    @Resource
    private TwinWkEmpSyncMapper twinWkEmpSyncMapper;

    /**
     * 查询经编车间排班同步记录
     *
     * @param syncId 经编车间排班同步记录主键
     * @return 经编车间排班同步记录
     */
    @Override
    public TwinWkEmpSync selectTwinWkEmpSyncBySyncId(Long syncId) {
        return twinWkEmpSyncMapper.selectTwinWkEmpSyncBySyncId(syncId);
    }

    /**
     * 查询经编车间排班同步记录列表
     *
     * @param twinWkEmpSync 经编车间排班同步记录
     * @return 经编车间排班同步记录
     */
    @Override
    public List<TwinWkEmpSync> selectTwinWkEmpSyncList(TwinWkEmpSync twinWkEmpSync) {
        return twinWkEmpSyncMapper.selectTwinWkEmpSyncList(twinWkEmpSync);
    }

    /**
     * 新增经编车间排班同步记录
     *
     * @param twinWkEmpSync 经编车间排班同步记录
     * @return 结果
     */
    @Override
    public int insertTwinWkEmpSync(TwinWkEmpSync twinWkEmpSync) {
            return twinWkEmpSyncMapper.insertTwinWkEmpSync(twinWkEmpSync);
    }

    /**
     * 修改经编车间排班同步记录
     *
     * @param twinWkEmpSync 经编车间排班同步记录
     * @return 结果
     */
    @Override
    public int updateTwinWkEmpSync(TwinWkEmpSync twinWkEmpSync) {
        return twinWkEmpSyncMapper.updateTwinWkEmpSync(twinWkEmpSync);
    }

    /**
     * 批量删除经编车间排班同步记录
     *
     * @param syncIds 需要删除的经编车间排班同步记录主键
     * @return 结果
     */
    @Override
    public int deleteTwinWkEmpSyncBySyncIds(Long[] syncIds) {
        return twinWkEmpSyncMapper.deleteTwinWkEmpSyncBySyncIds(syncIds);
    }

    /**
     * 删除经编车间排班同步记录信息
     *
     * @param syncId 经编车间排班同步记录主键
     * @return 结果
     */
    @Override
    public int deleteTwinWkEmpSyncBySyncId(Long syncId) {
        return twinWkEmpSyncMapper.deleteTwinWkEmpSyncBySyncId(syncId);
    }

    /**
     * 清空记录
     *
     * @return 结果
     */
    @Override
    public void clean() {
        twinWkEmpSyncMapper.clean();
    }
}
